﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.GisEditor;

namespace ClassLibrary1
{
    public class MyPlugin : UIPlugin
    {
        private HelpRibbonGroup helpRibbonGroup;
        private RibbonEntry ribbonEntry;

        public MyPlugin()
        {
            helpRibbonGroup = new HelpRibbonGroup();
            ribbonEntry = new RibbonEntry();
            ribbonEntry.RibbonGroup = helpRibbonGroup;
            ribbonEntry.RibbonTabName = "Sample";
        }

        protected override void LoadCore()
        {
            base.LoadCore();

            if (!this.RibbonEntries.Contains(ribbonEntry))
            {
                this.RibbonEntries.Add(ribbonEntry);
            }
        }

        protected override void UnloadCore()
        {
            base.UnloadCore();
        }
    }
}
